WinDom: _appvar Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# _appvar Struct Reference
[Application Library]

`#include <mt_wndm.h>`

## Data Fields
short * | aes_global
| The AES global array (use for mt_AES calls).
INT16 | aeshdl
| The screen VDI handle used by AES.
INT16 | x
INT16 | y
INT16 | w
INT16 | h
| Coordinates and size of desktop workarea (not screen size).
short | color
| Number of colors of screen display.
short | nplanes
| Number of planes of screen display (e.g.
OBJECT * | menu
| address of the desktop menu tree
INT16 | work_in [11]
| array input of v_opnvwrk() function
INT16 | work_out [57]
| array output of v_opnvwrk() function
long | aes4
| bitfield indicating some AES 4 features supported by the OS (see constants AES4_)
short | avid
| Application AES id of the AV server (or -1).
short | ntree
| Number of object trees in the loaded resource.
char * | pipe
| A user buffer used for AES message exchange (more).
int | error
| Last error encountered.
W_GRAFPORT | graf
| Information about the application virtual workstation.
EVNTvar | evnt
| Parameters for evnt_multi() calling.
WINvar | wglb
| Information about application windows.
APPRSVD * | priv
| Private variables.
short | gdos
| Contains the number of fonts loaded (FIXME: should contain the value returns by vq_gdos() ?).

## Field Documentation

long _appvar::aes4

| bitfield indicating some AES 4 features supported by the OS (see constants AES4_)

short* _appvar::aes_global

| The AES global array (use for mt_AES calls).

INT16 _appvar::aeshdl

| The screen VDI handle used by AES.

short _appvar::avid

| Application AES id of the AV server (or -1).

short _appvar::color

| Number of colors of screen display.

int _appvar::error

| Last error encountered.

EVNTvar _appvar::evnt

| Parameters for evnt_multi() calling.

short _appvar::gdos

| Contains the number of fonts loaded (FIXME: should contain the value returns by vq_gdos() ?).

W_GRAFPORT _appvar::graf

| Information about the application virtual workstation.

INT16 _appvar::h

| Coordinates and size of desktop workarea (not screen size).

OBJECT* _appvar::menu

| address of the desktop menu tree

short _appvar::nplanes

| Number of planes of screen display (e.g. color = 2^nplanes)

short _appvar::ntree

| Number of object trees in the loaded resource.

char* _appvar::pipe

| A user buffer used for AES message exchange (more). ApplInit() reserves a 256 byte buffer allocated in global memory mode pointed by this variable. This buffer can be used to send information safely in MU_MESAG event. For example, AV_STARTPROG (AV-protocol) uses app->evnt.buff[3-4] to emit a address pointing to a string character. This address should be app.pipe.

APPRSVD* _appvar::priv

| Private variables. Private variables are grouped in a hidden structure in order to prevent their utilisation.

INT16 _appvar::w

WINvar _appvar::wglb

| Information about application windows.

INT16 _appvar::work_in[11]

| array input of v_opnvwrk() function

INT16 _appvar::work_out[57]

| array output of v_opnvwrk() function

INT16 _appvar::x

INT16 _appvar::y

The documentation for this struct was generated from the following file:

- mt_wndm.h